<div class="container-fluid">
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item active" aria-current="page"><%=dictionary.page.data.name%></li>
    </ol>
  </nav>

  <div class="row">
    <div class="col col-12">
      <div class="mdc-card" style="padding: 3rem">
        <table id="data" class="table table-hover nowrap" style="width:100%">
          <thead>
            <tr>
              <th class="table__head-cell"><%=dictionary.page.history.timestamp%></th>
              <th class="table__head-cell"><%=dictionary.page.history.source%></th>
              <!-- <th class="table__head-cell">dictionary.page.history.dataPackage</th> -->
              <th class="table__head-cell"><%=dictionary.page.history.loa%></th>
              <th class="table__head-cell"><%=dictionary.page.history.operation%></th>
            </tr>
          </thead>
          <tbody>
            <% for(const [index, row] of data.entries()) { %>
            <tr>
              <% const date = new Date(row.updated_at) %>
              <td><%=date.toISOString().split('T')[0]%> <%=date.toISOString().split('T')[1].split('.')[0]%></td>
              <td class="" data-bs-toggle="collapse" href="#collapse_package-<%=index%>" role="button" aria-expanded="false" aria-controls="collapse_package-<%=index%>">
                <a><%=dictionary.source[row.source]%></a>
                <div class="collapse" id="collapse_package-<%=index%>">
                  <div class="mt-3">
                    <span class="mt-1"><span class="fw-bold"><%=dictionary.link%></span><a id="collapse_package-<%=index%>" href="javascript:void(0)" data-path="<%=row.path%>" onclick="downloadGCSFile(this)">kliknij tutaj</a></span>
                  </div>
                </div>
              </td>
              <td><%=dictionary.loa[row.loa]%></td>
              <td class="pointer delete__json-data" data-path="<%=row.path%>"><%=dictionary.delete%></td>
            </tr>
            <% } %>
          </tbody>
        </table>
      </div>
    </div>
  </div>

  <script id="dataTablesScript" src="/js/data_tables.js" data-filter="<%=data_filter%>" charset="utf-8"></script>
  <script src="/js/page_content.js" charset="utf-8"></script>
  <!-- <script type="text/javascript">
    $(document).ready(() => {
      if(location.hash.split('=')[1] === 'pl') {
        $('#example').DataTable({
          responsive: true,
          "language": {
              "lengthMenu": "wyświetl _MENU_ wyników na stronie",
              "zeroRecords": "nie znaleziono żadnych wyników",
              "info": "strona _PAGE_ z _PAGES_",
              "infoEmpty": "brak wyników",
              "search":         "szukaj:",
              "infoFiltered": "(przefiltrowano _MAX_)",
              "paginate": {
                "first": "pierwszy",
                "last": "ostatni",
                "next": "następna",
                "previous": "poprzednia"
              },
            }
         });
      } else $('#example').DataTable({ responsive: true });

      const table = document.getElementById("example");
      table.parentElement.parentElement.style.overflowX = "scroll";
      table.parentElement.parentElement.style.marginBottom = "20px";
    });
  </script> -->
